2022-05-26 22:05 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005263WHDLoad[All Projects] Generalpublic2022-01-15 23:13
ReporterDJ Mike 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version18.6 
Target Version18.7Fixed in Version18.7 
Summary0005263: WRITECACHE override for slave icon tooltips
DescriptionI noticed that Elfmania patch seems to save highscores quite aggressively (every time it loads part of the game!). I've put in a bug report for this, but it seems other installs may also do this.

The problem is enabling NOWRITECACHE in whdload.prefs, which I have, so that saved changes immediately flush to disk rather than on exit (because I'd rather not lose progress in games if my Amiga gurus!).

Although patches should ideally not save more than they have to, I would be happy if there was a way to override the global NOWRITECACHE setting per install, e.g. by specifying WRITECACHE in tooltips - but currently there is no way to do this. Is this something you'd be happy to add? If so could I request it please? :-)
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6
Attached Files

-Relationships
+Relationships

-Notes

note ~0010449

Wepl (manager)

I have added this option, please check latest beta release.

note ~0010451

DJ Mike (developer)

Tested on Elfmania. Works exactly as requested. :-)

Thanks very much for looking into it so quick!

I've confirmed the old (OS-hitting) behaviour still happens if only NOWRITECACHE is set. If NOWRITECACHE and WRITECACHE are both set, game loads without continually swapping to OS any more.
+Notes

-Issue History
Date Modified Username Field Change
2021-06-25 23:19 DJ Mike New Issue
2021-06-26 21:52 DJ Mike Assigned To => Wepl
2021-06-26 21:52 DJ Mike Status new => assigned
2021-06-26 22:40 Wepl Severity minor => feature
2021-06-26 22:40 Wepl Product Version 18.7 => 18.6
2021-06-26 23:49 Wepl Note Added: 0010449
2021-06-26 23:49 Wepl Fixed in Version => 18.7
2021-06-26 23:50 Wepl Status assigned => resolved
2021-06-26 23:50 Wepl Resolution open => fixed
2021-06-27 00:08 DJ Mike Note Added: 0010451
2022-01-15 23:13 Wepl Status resolved => closed
+Issue History